Package org.apache.tapestry5.ioc.junit

# Class TestRegistryManager

java.lang.Object
org.apache.tapestry5.ioc.junit.TestRegistryManager

public class TestRegistryManager extends Object
Helper class used by the `TapestryIOCJUnit4ClassRunner` to manage the test registry

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestRegistryManager(Class<?> type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterTestClass()`
  Notify that the current test class has completed
  `void`
  `afterTestMethod()`
  Notify that the current test method has completed
  `protected List<Method>`
  `findModuleDefFactories(Class<?> type)`
  `Registry`
  `getOrCreateRegistry()`
  Get the existing registry or create one if required.
  `protected void`
  `shutdownRegistry()`
  `protected void`
  `validateModuleDefMethod(Method method)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TestRegistryManager

    public TestRegistryManager(Class<?> type) throws org.junit.runners.model.InitializationError
    Throws:
      `org.junit.runners.model.InitializationError`

- ## Method Details

  - ### findModuleDefFactories

    protected List<Method> findModuleDefFactories(Class<?> type) throws org.junit.runners.model.InitializationError
    Throws:
      `org.junit.runners.model.InitializationError`

  - ### validateModuleDefMethod

    protected void validateModuleDefMethod(Method method) throws org.junit.runners.model.InitializationError
    Throws:
      `org.junit.runners.model.InitializationError`

  - ### getOrCreateRegistry

    public Registry getOrCreateRegistry() throws Exception
    Get the existing registry or create one if required.
    Returns:
      The test Registry
    Throws:
      `Exception`

  - ### afterTestMethod

    public void afterTestMethod()
    Notify that the current test method has completed

  - ### afterTestClass

    public void afterTestClass()
    Notify that the current test class has completed

  - ### shutdownRegistry

    protected void shutdownRegistry()